%global pkgname resclasses

Name:           gap-pkg-%{pkgname}
Version:        4.6.0
Release:        1%{?dist}
Summary:        Set-theoretic computations with Residue Classes

License:        GPLv2+
URL:            http://www.gap-system.org/DevelopersPages/StefanKohl/resclasses.html
Source0:        http://www.gap-system.org/DevelopersPages/StefanKohl/resclasses/%{pkgname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  gap-devel
BuildRequires:  GAPDoc-latex
BuildRequires:  gap-pkg-io
BuildRequires:  gap-pkg-polycyclic
BuildRequires:  gap-pkg-utils

Requires:       gap-core
Requires:       gap-pkg-polycyclic
Requires:       gap-pkg-utils

Recommends:     gap-pkg-io

%description
ResClasses is a GAP package for set-theoretic computations with residue
classes of the integers and a couple of other rings.  The class of sets
which ResClasses can deal with includes the open and the closed sets in
the topology on the respective ring which is induced by taking the set
of all residue classes as a basis, as far as the usual restrictions
imposed by the finiteness of computing resources permit this.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# Link to main GAP documentation
ln -s %{_gap_dir}/doc ../../doc
mkdir ../pkg
ln -s ../%{pkgname}-%{version} ../pkg/%{pkgname}
gap -l "$PWD/..;%{_gap_dir}" << EOF
ResClassesBuildManual( );
EOF
rm -fr ../../doc ../pkg

%install
mkdir -p %{buildroot}%{_gap_dir}/pkg
cp -a ../%{pkgname}-%{version} %{buildroot}%{_gap_dir}/pkg/%{pkgname}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/{CHANGES,README}
rm -f %{buildroot}%{_gap_dir}/pkg/%{pkgname}/doc/*.{aux,bbl,blg,brf,idx,ilg,ind,log,out,pnr,tex,toc}

%check
gap -l "%{buildroot}%{_gap_dir};%{_gap_dir}" < tst/testall.g 2>&1 | tee log
grep -Fvq fail log
rm -f log

%files
%doc CHANGES README
%docdir %{_gap_dir}/pkg/%{pkgname}/doc
%docdir %{_gap_dir}/pkg/%{pkgname}/htm
%{_gap_dir}/pkg/%{pkgname}/

%changelog
* Fri Mar 17 2017 Jerry James <loganjerry@gmail.com> - 4.6.0-1
- New upstream version

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jun  3 2016 Jerry James <loganjerry@gmail.com> - 4.5.0-1
- New upstream version

* Fri May 13 2016 Jerry James <loganjerry@gmail.com> - 4.4.2-1
- Initial RPM
